## net.sf.saxon.jdom
Class JDOMTransform

    java.lang.Object
      net.sf.saxon.Transform
          net.sf.saxon.jdom.JDOMTransform

    public class JDOMTransform

extends Transform

Variant of command line net.sf.saxon.Transform do build the source document in JDOM and then proceed with the transformation. This class is provided largely for testing purposes.

Field Summary

Fields inherited from class net.sf.saxon.Transform
`config, factory, repeat, showTime, useURLs`

Constructor Summary
`JDOMTransform()`

Method Summary
`static void` `main(java.lang.String[] args)`
`java.util.List` `preprocess(java.util.List sources)` Preprocess the list of sources.

Methods inherited from class net.sf.saxon.Transform
`badUsage, doTransform, getConfiguration, loadDocuments, newController, now, processDirectory, processDirectoryAssoc, processFile, processFileAssoc, quit, setFactoryConfiguration, setParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMTransform

    public JDOMTransform()

Method Detail

### preprocess

    public java.util.List preprocess(java.util.List sources)
                              throws XPathException

  Description copied from class: `Transform`
  Preprocess the list of sources. This method exists so that it can be overridden in a subclass

  Overrides:
    `preprocess` in class `Transform`
  Parameters:
    `sources` - the list of Source objects
  Returns:
    a revised list of Source objects
  Throws:
    `XPathException`

### main

    public static void main(java.lang.String[] args)

Copyright (c) Saxonica Limited. All rights reserved.